"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/adapter.ts
var adapter_exports = {};
__export(adapter_exports, {
  LoggingAdapter: () => LoggingAdapter,
  loggingAdapter: () => loggingAdapter
});
module.exports = __toCommonJS(adapter_exports);
function loggingAdapter(args) {
  const ModifiedClass = class extends LoggingAdapter {
    static {
      __name(this, "ModifiedClass");
    }
    log = args.log;
    debug = args.debug;
    info = args.info;
    warn = args.warn;
    error = args.error;
  };
  return ModifiedClass;
}
__name(loggingAdapter, "loggingAdapter");
var LoggingAdapter = class {
  static {
    __name(this, "LoggingAdapter");
  }
  /**
  * Log level log message.
  *
  * See: https://developer.mozilla.org/en-US/docs/Web/API/console/log
  *
  * @example
  * ```ts
  * logger.log('Hello World');
  * ```
  *
  * @param _message - The message to be logged.
  */
  log(_message) {
    return void 0;
  }
  /**
  * Log level debug message.
  *
  * See: https://developer.mozilla.org/en-US/docs/Web/API/console/debug
  *
  * @example
  * ```ts
  * logger.debug('Hello World');
  * ```
  *
  * @param _message - The message to be logged.
  */
  debug(_message) {
    return void 0;
  }
  /**
  * Log level warn message.
  *
  * See: https://developer.mozilla.org/en-US/docs/Web/API/console/warn
  *
  * @example
  * ```ts
  * logger.warn('Hello World');
  * ```
  *
  * @param _message - The message to be logged.
  */
  warn(_message) {
    return void 0;
  }
  /**
  * Log level error message.
  *
  * See: https://developer.mozilla.org/en-US/docs/Web/API/console/error
  *
  * @example
  * ```ts
  * logger.error('Hello World');
  * ```
  *
  * @param _message - The message to be logged.
  */
  error(_message) {
    return void 0;
  }
  /**
  * Log level info message.
  *
  * See: https://developer.mozilla.org/en-US/docs/Web/API/console/info
  *
  * @example
  * ```ts
  * logger.info('Hello World');
  * ```
  *
  * @param _message - The message to be logged.
  */
  info(_message) {
    return void 0;
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  LoggingAdapter,
  loggingAdapter
});
