var __defProp = Object.defineProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });

// src/adapter.ts
function loggingAdapter(args) {
  const ModifiedClass = class extends LoggingAdapter {
    static {
      __name(this, "ModifiedClass");
    }
    log = args.log;
    debug = args.debug;
    info = args.info;
    warn = args.warn;
    error = args.error;
  };
  return ModifiedClass;
}
__name(loggingAdapter, "loggingAdapter");
var LoggingAdapter = class {
  static {
    __name(this, "LoggingAdapter");
  }
  /**
  * Log level log message.
  *
  * See: https://developer.mozilla.org/en-US/docs/Web/API/console/log
  *
  * @example
  * ```ts
  * logger.log('Hello World');
  * ```
  *
  * @param _message - The message to be logged.
  */
  log(_message) {
    return void 0;
  }
  /**
  * Log level debug message.
  *
  * See: https://developer.mozilla.org/en-US/docs/Web/API/console/debug
  *
  * @example
  * ```ts
  * logger.debug('Hello World');
  * ```
  *
  * @param _message - The message to be logged.
  */
  debug(_message) {
    return void 0;
  }
  /**
  * Log level warn message.
  *
  * See: https://developer.mozilla.org/en-US/docs/Web/API/console/warn
  *
  * @example
  * ```ts
  * logger.warn('Hello World');
  * ```
  *
  * @param _message - The message to be logged.
  */
  warn(_message) {
    return void 0;
  }
  /**
  * Log level error message.
  *
  * See: https://developer.mozilla.org/en-US/docs/Web/API/console/error
  *
  * @example
  * ```ts
  * logger.error('Hello World');
  * ```
  *
  * @param _message - The message to be logged.
  */
  error(_message) {
    return void 0;
  }
  /**
  * Log level info message.
  *
  * See: https://developer.mozilla.org/en-US/docs/Web/API/console/info
  *
  * @example
  * ```ts
  * logger.info('Hello World');
  * ```
  *
  * @param _message - The message to be logged.
  */
  info(_message) {
    return void 0;
  }
};
export {
  LoggingAdapter,
  loggingAdapter
};
