"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/defaults.ts
var defaults_exports = {};
__export(defaults_exports, {
  getDefaultFormattedMessage: () => getDefaultFormattedMessage
});
module.exports = __toCommonJS(defaults_exports);

// src/constants.ts
var stringByMessageType = {
  debug: "\x1B[35mDEBUG\x1B[0m",
  log: "\x1B[32mLOG\x1B[0m",
  info: "\x1B[36mINFO\x1B[0m",
  warn: "\x1B[33mWARN\x1B[0m",
  error: "\x1B[31mERROR\x1B[0m"
};

// src/defaults.ts
function getDefaultFormattedMessage(args) {
  return `\x1B[32m[${args.frameworkName}]\x1B[0m \x1B[33m${args.created}\x1B[0m \x1B[1m[${args.domain}]\x1B[0m${args.name && args.name.length > 0 ? ` \x1B[4m[${args.name}]\x1B[0m ` : " "}${stringByMessageType[args.logLevel.toLowerCase()]} ${args.message}`;
}
__name(getDefaultFormattedMessage, "getDefaultFormattedMessage");
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getDefaultFormattedMessage
});
